<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg"
        src=" ../../assets/images/icn_cash advance.png">Cash Advance</h2>
<div class="row justify-content-center">
    <div class="col-sm-6">
        <div class="card formFieldsBlock">
            <div class="col-sm-12">
                <form [formGroup]="cashForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field class="sub-list" appearance="standard">
                                <mat-label>Amount Requested</mat-label>
                                <input type="number" matInput formControlName="requestedMonth"
                                    (keyup)="validateMonth('requestedMonth')" placeholder="Months" required
                                    autocomplete="off" />
                            </mat-form-field>
                            <mat-form-field class="sub-list" appearance="standard">
                                <mat-label>Repayment Terms</mat-label>
                                <input type="number" matInput formControlName="repaymentMonth"
                                    (keyup)="validateMonth('repaymentMonth')" placeholder=" Months" required
                                    autocomplete="off" />
                            </mat-form-field>
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Reason</mat-label>
                                <textarea matInput maxlength="120" formControlName="reason" required></textarea>
                                <mat-error *ngIf="cashForm.controls['reason'].errors?.required &&
                        cashForm.controls['reason'].touched">
                                    Please Enter Reason.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div><br>
                    <div class="button-grp">
                        <button type="reset" mat-raised-button class="button button-secondary">Reset</button>
                        <button mat-raised-button [disabled]="!cashForm.valid" class="button button-primary">
                            Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>